---
title: "Get users' activity"
url: "https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org_id-users-activity"
type: "endpoint"
section: "organization"
slug: "organization/operations/get-v2-organizations-org_id-users-activity"
method: "GET"
path: "/v2/organizations/{org_id}/users-activity"
operation_id: "get-v2-organizations-org_id-users-activity"
authorization: "bearer"
---

# Get users' activity

`GET /v2/organizations/{org_id}/users-activity`

Allows users to view fetching statistics about users who exist in the organization.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the organization where the users' activity is retrieved. |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `date_from` | string | No | Filter by the date. Format: `?date_from=timestamp&date_to=timestamp` |

## Responses

### 200

Returns the audit log of users activity in case of successful response for the admins and moderators with trial, professional and enterprise subscription. Returns an error when:

* If user is not admin/moderator of the Org, "code": 12003003. Message: "Access denied for current administration role in your organization."
* If user who does not have appropriate subscription tries to update settings, "code": 12003002. Message: "Access denied for current asubscription."
* If user tries to update settings of the organization that is not active or does not exist, "code": 12003001. Message: "Organization `deXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX` is not found."

**Example** (`example-1`)

```json
{
  "data": [
    {
      "id": "86XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "email": "user1@email.com",
      "signers": 2,
      "documents": 5,
      "sent_documents": 2,
      "signed_documents": 2,
      "average_complete_time": "0:0:0"
    },
    {
      "id": "39XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "email": "user2@email.com",
      "signers": 1,
      "documents": 2,
      "sent_documents": 1,
      "signed_documents": 1,
      "average_complete_time": "1:16:14"
    }
  ],
  "meta": {
    "pagination": {
      "count": 2,
      "links": [],
      "total": 2,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/organizations/{org_id}/users-activity" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org_id-users-activity*
